* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  font-family: "Afacad Flux", sans-serif;
  font-optical-sizing: auto;
  font-weight: 100;
  font-style: normal;
  font-variation-settings: "slnt" 0;
  background-color: #f4f4f4;
  padding: 20px;
}

/* Estilos para encabezados */
h1 {
  color: #333;
  text-align: center;
}

/* Estilo para el logo con animación */
.logo {
  display: block;
  width: 150px;
  height: auto;
  margin: 0 auto 20px;
  animation: zoom 5s infinite; 
}

/* Animación de zoom in y zoom out */
@keyframes zoom {
  0%, 100% {
    transform: scale(1); 
  }
  50% {
    transform: scale(1.1); 
  }
}

/* Contenedor del formulario */
.form-container {
  background: #fff;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  max-width: 400px;
  margin: 20px auto;
  border: 2px solid rgba(210, 2, 2, 0.595); 
}

/* Estilos para el formulario */
form {
  width: 100%; 
}

/* Estilos para etiquetas */
label {
  display: block;
  margin-bottom: 5px;
  color: #000;
  font-weight: bold;
}

/* Estilos para campos de entrada */
input[type="email"],
input[type="password"],
input[type="text"],
input[type="number"] {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

/* Contenedor de botones */
.button-container {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

/* Estilos para botones */
.submit_button,
.back_button {
  width: 120px;
  padding: 10px;
  border: none; 
  border-radius: 5px; 
  font-size: 16px;
  cursor: pointer; 
}

.submit_button {
  background-color: rgb(0, 145, 111);
  color: white; 
}

.submit_button:hover {
  background-color: rgba(0, 181, 139, 0.723);
}

.back_button {
  background-color: rgb(145, 0, 0);
  color: white; 
}

.back_button:hover {
  background-color: rgba(181, 0, 0, 0.723);
}

/* Estilos para enlaces */
a {
  text-decoration: none;
  font-size: 16px;
  font-weight: bold;
  color: #000;
}

a:hover {
  color: red;
  text-decoration: underline;
}


/* Estilo para la ventana de cookies */

.cookie-banner {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: #f9f9f9;
  box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
  padding: 15px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 1000;
}
/* Estilos del texto */
.cookie-banner-text {
  max-width: 70%;
  font-size: 14px;
  color: #333;
}
/* Estilos de los botones */
.cookie-banner button {
  margin-left: 10px;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 14px;
}
.btn-accept {
  background-color: #28a745;
  color: white;
}
.btn-decline {
  background-color: #dc3545;
  color: white;
}
.block-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 999;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 18px;
  text-align: center;
}